All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class RepositoryInfo

    com.sas.services.information.RepositoryInfo

All Implemented Interfaces:
  java.io.Serializable

    public class RepositoryInfo

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RepositoryInfo(java.lang.String name, java.lang.String fqid, java.lang.String type, java.lang.String desc, java.lang.String path, java.lang.String engine, java.lang.String options, java.lang.String access, java.lang.String effectiveAccess, java.lang.String format, java.lang.String state, java.util.Date metadataCreated, java.util.Date metadataUpdated)`

Method Summary
`java.lang.String` | `getAccess()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEffectiveAccess()`
`java.lang.String` | `getEngine()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getFqid()`
`java.util.Date` | `getMetadataCreated()`
`java.util.Date` | `getMetadataUpdated()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOptions()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getState()`
`java.lang.String` | `getType()`
`void` | `setAccess(java.lang.String access)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEffectiveAccess(java.lang.String effectiveAccess)`
`void` | `setEngine(java.lang.String engine)`
`void` | `setFormat(java.lang.String format)`
`void` | `setFqid(java.lang.String fqid)`
`void` | `setMetadataCreated(java.util.Date metadataCreated)`
`void` | `setMetadataUpdated(java.util.Date metadataUpdated)`
`void` | `setName(java.lang.String name)`
`void` | `setOptions(java.lang.String options)`
`void` | `setPath(java.lang.String path)`
`void` | `setState(java.lang.String state)`
`void` | `setType(java.lang.String type)`

Constructor Detail

### RepositoryInfo

    public RepositoryInfo(java.lang.String name,
                          java.lang.String fqid,
                          java.lang.String type,
                          java.lang.String desc,
                          java.lang.String path,
                          java.lang.String engine,
                          java.lang.String options,
                          java.lang.String access,
                          java.lang.String effectiveAccess,
                          java.lang.String format,
                          java.lang.String state,
                          java.util.Date metadataCreated,
                          java.util.Date metadataUpdated)

Method Detail

### getFqid

    public final java.lang.String getFqid()

### setFqid

    public final void setFqid(java.lang.String fqid)

### getName

    public final java.lang.String getName()

### setName

    public final void setName(java.lang.String name)

### getType

    public final java.lang.String getType()

### setType

    public final void setType(java.lang.String type)

### getDescription

    public final java.lang.String getDescription()

### setDescription

    public final void setDescription(java.lang.String description)

### getPath

    public final java.lang.String getPath()

### setPath

    public final void setPath(java.lang.String path)

### getEngine

    public final java.lang.String getEngine()

### setEngine

    public final void setEngine(java.lang.String engine)

### getOptions

    public final java.lang.String getOptions()

### setOptions

    public final void setOptions(java.lang.String options)

### getAccess

    public final java.lang.String getAccess()

### setAccess

    public final void setAccess(java.lang.String access)

### getEffectiveAccess

    public final java.lang.String getEffectiveAccess()

### setEffectiveAccess

    public final void setEffectiveAccess(java.lang.String effectiveAccess)

### getFormat

    public final java.lang.String getFormat()

### setFormat

    public final void setFormat(java.lang.String format)

### getState

    public final java.lang.String getState()

### setState

    public final void setState(java.lang.String state)

### getMetadataCreated

    public final java.util.Date getMetadataCreated()

### setMetadataCreated

    public final void setMetadataCreated(java.util.Date metadataCreated)

### getMetadataUpdated

    public final java.util.Date getMetadataUpdated()

### setMetadataUpdated

    public final void setMetadataUpdated(java.util.Date metadataUpdated)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.